﻿<h1 id="etherchannel-lacp-configuration">Etherchannel LACP Configuration</h1>
<h3 id="in-this-how-to-we-will-cover-how-to-configure-lacp-for-a-layer-2-etherchannel-on-cisco-catalyst-switches">In this How To we will cover how to configure LACP for a Layer 2 Etherchannel on Cisco Catalyst switches.</h3>
<p><img src="lacp_network_diagram.png" alt="" /></p>
<ul>
<li>We will need to first bundle our interfaces into a port-channel</li>
</ul>
<h2 id="configuration">Configuration</h2>
<ul>
<li>First we must go into global configuration mode, and place our interfaces into a &quot;<strong>Channel-group</strong>&quot;</li>
</ul>
<p><code>SW1#configure terminal</code> # This command puts us in Global Config mode</p>
<p><code>SW1(config)#interface range eth0/0 - 1</code> # This command will put you into the interface sub-configuration mode for multiple interfaces</p>
<p><code>SW1(config-if-range)#channel-group 44 mode active</code> # This command will bundle the member interfaces into a port-channel using <strong>LACP</strong> negotiation to actively negotiate with the other side.</p>
<p><code>SW1(config)#interface port-channel 44</code> # This command will put us into the port-channel sub-configuration mode</p>
<h3 id="all-configuration-should-now-be-configured-under-the-port-channel-the-port-channel-will-then-push-the-configuration-down-to-the-member-interfaces">All configuration should now be configured under the port-channel. The port-channel will then push the configuration down to the member interfaces.</h3>
<p><code>SW1(config-if)switchport trunk encapsulation dot1q</code> # This command will set the trunk to use the IEEE <strong>802.1q</strong> Encapsulation standard</p>
<p><code>SW1(config-if)#switchport mode trunk</code> # This command will statically set the interface to <strong>trunkning</strong> mode.</p>
<ul>
<li>The complete configuration for both switches is shown below</li>
</ul>
<p><img src="sw1_lacp_configuration.png" alt="" />
<img src="sw2_lacp_configuration.png" alt="" /></p>
<h2 id="verification">Verification</h2>
<ul>
<li>The following show commands will verify if the etherchannel is working properly.</li>
</ul>
<p><code>SW1#show etherchannel summary</code> # This command will show us if our Etherchannel is bundled and active.</p>
<p><img src="show_etherchannel_summary.png" alt="" /></p>
